Package com.emc.d2fs.models.repository_info

# Class RepositoryInfo

java.lang.Object
com.emc.d2fs.models.repository_info.RepositoryInfo

All Implemented Interfaces:
  `Serializable`

public class RepositoryInfo extends Object implements Serializable

Java class for repository_info complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="repository_info">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/repository_info}applications" maxOccurs="unbounded" minOccurs="0"/>
             <element name="repository" type="{http://www.emc.com/d2fs/models/repository}repository" minOccurs="0"/>
           </sequence>
           <attribute name="is_allow_application_selection" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="is_matrix_application_mode" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="default_application_name" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Application>`
  `getApplications()`
  Gets the value of the applications property.
  `String`
  `getDefaultApplicationName()`
  Gets the value of the defaultApplicationName property.
  `Repository`
  `getRepository()`
  Gets the value of the repository property.
  `Boolean`
  `isIsAllowApplicationSelection()`
  Gets the value of the isAllowApplicationSelection property.
  `Boolean`
  `isIsMatrixApplicationMode()`
  Gets the value of the isMatrixApplicationMode property.
  `void`
  `setDefaultApplicationName(String value)`
  Sets the value of the defaultApplicationName property.
  `void`
  `setIsAllowApplicationSelection(Boolean value)`
  Sets the value of the isAllowApplicationSelection property.
  `void`
  `setIsMatrixApplicationMode(Boolean value)`
  Sets the value of the isMatrixApplicationMode property.
  `void`
  `setRepository(Repository value)`
  Sets the value of the repository property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepositoryInfo

    public RepositoryInfo()

- ## Method Details

  - ### getApplications

    public List<Application> getApplications()
    Gets the value of the applications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the applications property.

    For example, to add a new item, do as follows:

            getApplications().add(newItem);

    Objects of the following type(s) are allowed in the list `Application`

  - ### getRepository

    public Repository getRepository()
    Gets the value of the repository property.
    Returns:
      possible object is `Repository`

  - ### setRepository

    public void setRepository(Repository value)
    Sets the value of the repository property.
    Parameters:
      `value` - allowed object is `Repository`

  - ### isIsAllowApplicationSelection

    public Boolean isIsAllowApplicationSelection()
    Gets the value of the isAllowApplicationSelection property.
    Returns:
      possible object is `Boolean`

  - ### setIsAllowApplicationSelection

    public void setIsAllowApplicationSelection(Boolean value)
    Sets the value of the isAllowApplicationSelection property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isIsMatrixApplicationMode

    public Boolean isIsMatrixApplicationMode()
    Gets the value of the isMatrixApplicationMode property.
    Returns:
      possible object is `Boolean`

  - ### setIsMatrixApplicationMode

    public void setIsMatrixApplicationMode(Boolean value)
    Sets the value of the isMatrixApplicationMode property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getDefaultApplicationName

    public String getDefaultApplicationName()
    Gets the value of the defaultApplicationName property.
    Returns:
      possible object is `String`

  - ### setDefaultApplicationName

    public void setDefaultApplicationName(String value)
    Sets the value of the defaultApplicationName property.
    Parameters:
      `value` - allowed object is `String`